//! # New conversation information
//!
//! @author Pierre Huber

use crate::data::user::UserID;
use crate::data::group_id::GroupID;

#[derive(Debug)]
pub struct NewConversation {
    pub owner_id: UserID,
    pub name: Option<String>,
    pub group_id: Option<GroupID>,
    pub color: Option<String>,
    pub logo: Option<String>,
    pub owner_following: bool,
    pub members: Vec<UserID>,
    pub can_everyone_add_members: bool
}